<?php

class admin_metatags { 
	private $base_object;
	private $layout_object;
	private $config;
	
	function __construct($base_object, $layout_object) {
		$this->base_object = $base_object;
		$this->layout_object = $layout_object;
	}
	
	public function run() {
		if (isset($_GET['action'])) {
			$action = $_GET['action'];
		} else {
			$action = false;
		}
		
		if ($action == 'some_generic_call') {
			
		} else {
			return $this->default_action();
		}
	}
	
	private function default_action() {
		return $this->layout_object->fetch('admin_metatags.tpl');
	}
}